Subject: Re: [MMUSIC] Mismatch between sdp-bundle-negotiation and RFC5888

From: Christer Holmberg <[email-masked]>
Date: Sun, 2 Dec 2018 11:32:09 +0000

Hi,

>>> I know this is a really late notice, but I think there is a slight mismatch between RFC5888 and sdp-bundle.
>>> 
>>> RFC 5888 Section 9.2 (https://tools.ietf.org/html/rfc5888#section-9.2) says: 
>>> 
>>>   SIP entities refuse media streams by setting the port to zero in the corresponding "m" line. "a=group" lines MUST NOT 
>>>   contain identification-tags that correspond to "m" lines with the port set to zero.
>>> 
>>> Considering that sdp-bundle redefines the meaning of port zero when 'bundle-only' attribute is present, RFC5888 will need 
>>> to be updated to allow including bundle-only media streams in the "a=group" lines.
>>
>>…or, one could argue that the text in RFC5888 only applies to the case when port zero is used to refuse a media stream. 
>
> One could argue this, but the language in RFC 5888 is quite blunt.

So, you really want to bring BUNDLE back to the WG again?

Regards,

Christer

---

From: Roman Shpount <[email-masked]>
Date: Sun, 2 Dec 2018 12:13:54 -0500

On Sun, Dec 2, 2018 at 6:32 AM Christer Holmberg <
[email-masked]> wrote:

> >>>   SIP entities refuse media streams by setting the port to zero in the
> corresponding "m" line. "a=group" lines MUST NOT
> >>> Considering that sdp-bundle redefines the meaning of port zero when
> 'bundle-only' attribute is present, RFC5888 will need
> >>…or, one could argue that the text in RFC5888 only applies to the case
> when port zero is used to refuse a media stream.
> >
> No, I really do not want to bring it back. Somebody implementing BUNDLE
asked me, so I wanted to ask on the list. I would suggest we argue that
BUNDLE overwrites all uses of port 0 to disable the media stream, including
the one in RFC5888.

Regards,
_____________
Roman Shpount

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 2 Dec 2018 18:22:32 +0000

Hi,

> No, I really do not want to bring it back. Somebody implementing BUNDLE asked me, so I wanted to ask on the list. I would suggest we argue that 
> BUNDLE overwrites all uses of port 0 to disable the media stream, including the one in RFC5888. 

I don't think BUNDLE overwrites ALL uses of port 0 to disable the media stream.

In any case, my understanding was that you want to add something to BUNDLE?

Regards,

Christer

---

From: Roman Shpount <[email-masked]>
Date: Sun, 2 Dec 2018 13:39:37 -0500

On Sun, Dec 2, 2018 at 1:22 PM Christer Holmberg <
[email-masked]> wrote:

> >>>>> RFC 5888 Section 9.2 (
> https://tools.ietf.org/html/rfc5888#section-9.2) says:
> >>>>>
> >>>>>   SIP entities refuse media streams by setting the port to zero in
> the corresponding "m" line. "a=group" lines MUST NOT
> Ideally I wanted to add a section to sdp-bundle that updates RFC5888 and
specifies that mid can be added to the group even if m= line is disabled
with port 0, if this m line is enabled using other means, such as SDP
attribute. In other words something similar to section of sdp-bundle that
updates RFC 3264.

Regards,
_____________
Roman Shpount

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 2 Dec 2018 18:57:46 +0000

Hi,

I guess my question to the chairs/ADs is whether we could implement Roman’s suggestion without having to take the document back to the WG etc.

Regards,

Christer

From: Roman Shpount <[email-masked]>
Date: Sunday, 2 December 2018 at 20.39
To: Christer Holmberg <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: Mismatch between sdp-bundle-negotiation and RFC5888

In any case, my understanding was that you want to add something to BUNDLE?
Ideally I wanted to add a section to sdp-bundle that updates RFC5888 and specifies that mid can be added to the group even if m= line is disabled with port 0, if this m line is enabled using other means, such as SDP attribute. In other words something similar to section of sdp-bundle that updates RFC 3264.

Regards,
_____________
Roman Shpount

---

From: Paul Kyzivat <[email-masked]>
Date: Sun, 2 Dec 2018 14:51:42 -0500

On 12/2/18 1:57 PM, Christer Holmberg wrote:
> Hi,
> 
> I guess my question to the chairs/ADs is whether we could implement 
> Roman’s suggestion without having to take the document back to the WG etc.

Couldn't this be done with a *new* draft that update 5888 in this way?

	Thanks,
	Paul

> Regards,
> 
> Christer
> 
> *From: *Roman Shpount <[email-masked]>
> *Date: *Sunday, 2 December 2018 at 20.39
> *To: *Christer Holmberg <[email-masked]>
> *Cc: *"[email-masked]" <[email-masked]>
> *Subject: *Re: Mismatch between sdp-bundle-negotiation and RFC5888
> 
> On Sun, Dec 2, 2018 at 1:22 PM Christer Holmberg 
> <[email-masked] <mailto:[email-masked]>> 
> wrote:
> 
>      >>>>> I know this is a really late notice, but I think there is a
>     slight mismatch between RFC5888 and sdp-bundle.
>      >>>>>
>      >>>>> RFC 5888 Section 9.2
>     (https://tools.ietf.org/html/rfc5888#section-9.2) says:
>      >>>>>
>      >>>>>   SIP entities refuse media streams by setting the port to
>     zero in the corresponding "m" line. "a=group" lines MUST NOT
>      >>>>> Considering that sdp-bundle redefines the meaning of port
>     zero when 'bundle-only' attribute is present, RFC5888 will need
>      >>>>…or, one could argue that the text in RFC5888 only applies to
>     the case when port zero is used to refuse a media stream.
>      >>>
>      > No, I really do not want to bring it back. Somebody implementing
>     BUNDLE asked me, so I wanted to ask on the list. I would suggest we
>     argue that
> attribute. In other words something similar to section of sdp-bundle 
> that updates RFC 3264.
> 
> Regards,
> 
> _____________
> Roman Shpount
> 
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Roman Shpount <[email-masked]>
Date: Sun, 2 Dec 2018 19:45:58 -0500

> Couldn't this be done with a *new* draft that update 5888 in this way?
This can be done as an update to RFC 5888 but we will be changing a single
phrase there. Unless there are other things we need to update there, I do
not think a whole new bis would make sense.
_____________
Roman Shpount

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 3 Dec 2018 12:30:41 -0500

On 12/2/18 7:45 PM, Roman Shpount wrote:
> On Sun, Dec 2, 2018 at 2:51 PM Paul Kyzivat <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> This can be done as an update to RFC 5888 but we will be changing a 
> single phrase there. Unless there are other things we need to update 
> there, I do not think a whole new bis would make sense.

Yes, just a draft that makes this change, not a bis. It would be a very 
small draft.

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 3 Dec 2018 17:50:11 +0000

Hi,

Just to clarify: I don't object to making this change in BUNDLE - if we can do it by simply adding the text to the draft, let people take a look, and then be done with it. 

After all, we are not talking about a change to the BUNDLE mechanism itself - we are talking about documenting a change that we have already done.

Regards,

Christer

On 03/12/2018, 19.37, "mmusic on behalf of Paul Kyzivat" <[email-masked] on behalf of [email-masked]> wrote:

    
    	Thanks,
    	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 3 Dec 2018 20:05:23 +0000

Hi,

I created a pull request for the RFC 5888 update text:

https://github.com/cdh4u/draft-sdp-bundle/pull/63

[https://avatars0.githubusercontent.com/u/9333380?s=400&v=4]<https://github.com/cdh4u/draft-sdp-bundle/pull/63>

Adding RFC 5888 update text by cdh4u · Pull Request #63 · cdh4u/draft-sdp-bundle<https://github.com/cdh4u/draft-sdp-bundle/pull/63>
github.com

Regards,

Christer

________________________________
From: mmusic <[email-masked]> on behalf of Christer Holmberg <[email-masked]>
Sent: Monday, December 3, 2018 7:50 PM
To: Paul Kyzivat; Roman Shpount
Cc: mmusic WG
Subject: Re: [MMUSIC] Mismatch between sdp-bundle-negotiation and RFC5888

Hi,

Regards,

Christer

         Thanks,
         Paul

---

From: Flemming Andreasen <[email-masked]>
Date: Tue, 4 Dec 2018 09:34:49 -0500

Can people please comment on whether they agree with this proposed change ?

Thanks

-- Flemming (as MMUSIC co-chair)

On 12/3/18 3:05 PM, Christer Holmberg wrote:
> <https://github.com/cdh4u/draft-sdp-bundle/pull/63>
> 	
> Adding RFC 5888 update text by cdh4u · Pull Request #63 · 
> cdh4u/draft-sdp-bundle <https://github.com/cdh4u/draft-sdp-bundle/pull/63>
> github.com
>
>
>
>
> Regards,
>
>
> Christer
>
>
>
> ------------------------------------------------------------------------
> *From:* mmusic <[email-masked]> on behalf of Christer 
> Holmberg <[email-masked]>
> *Sent:* Monday, December 3, 2018 7:50 PM
> *To:* Paul Kyzivat; Roman Shpount
> *Cc:* mmusic WG
> *Subject:* Re: [MMUSIC] Mismatch between sdp-bundle-negotiation and 
> RFC5888
> Hi,
>
> Just to clarify: I don't object to making this change in BUNDLE - if 
> we can do it by simply adding the text to the draft, let people take a 
> look, and then be done with it.
>
> After all, we are not talking about a change to the BUNDLE mechanism 
> itself - we are talking about documenting a change that we have 
> already done.
>
> Regards,
>
> Christer
>
>
>
> On 03/12/2018, 19.37, "mmusic on behalf of Paul Kyzivat" 
> <[email-masked] on behalf of [email-masked]> wrote:
>
>     > On Sun, Dec 2, 2018 at 2:51 PM Paul Kyzivat 
> <[email-masked]
>     > <mailto:[email-masked]>> wrote:
>     >
>     >     On 12/2/18 1:57 PM, Christer Holmberg wrote:
>     >      > I guess my question to the chairs/ADs is whether we could 
> implement
>     >      > Roman’s suggestion without having to take the document 
> back to
>     >     the WG etc.
>     >
>     >     Couldn't this be done with a *new* draft that update 5888 in 
> this way?
>     >
>     >
>     > This can be done as an update to RFC 5888 but we will be changing a
>     > single phrase there. Unless there are other things we need to 
> update
>     > there, I do not think a whole new bis would make sense.
>
> <https://www.ietf.org/mailman/listinfo/mmusic>
>
>

---

From: Roman Shpount <[email-masked]>
Date: Tue, 4 Dec 2018 15:53:45 -0500

I have reviewed the changes and they address the issue that I've raised.

Thank You,
_____________
Roman Shpount

On Tue, Dec 4, 2018 at 9:34 AM Flemming Andreasen <[email-masked]>
wrote:

> ------------------------------
> *From:* mmusic <[email-masked]> <[email-masked]> on
> behalf of Christer Holmberg <[email-masked]>
> <[email-masked]>
> Just to clarify: I don't object to making this change in BUNDLE - if we
> can do it by simply adding the text to the draft, let people take a look,
> and then be done with it.
>
> itself - we are talking about documenting a change that we have already
> done.
>
> Regards,
>
> Christer
>
>
>
> On 03/12/2018, 19.37, "mmusic on behalf of Paul Kyzivat" <[email-masked]
> on behalf of [email-masked]>
> <[email-masked]@alum.mit.edu> wrote:
>
>     > <mailto:[email-masked] <[email-masked]>>> wrote:
>     >
> mmusic mailing [email-masked]://www.ietf.org/mailman/listinfo/mmusic
>
>
>